cryptol-2.8.0: Cryptol: The Language of Cryptography

Copyright | (c) 2013-2016 Galois Inc.
License | BSD3
Maintainer | cryptol@galois.com
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell2010

Cryptol.Parser.Fixity

Description

Synopsis

- data Fixity = Fixity {
  - fAssoc :: !Assoc
  - fLevel :: !Int
  }
- defaultFixity :: Fixity
- data FixityCmp
  - = FCError
  - | FCLeft
  - | FCRight
- compareFixity :: Fixity -> Fixity -> FixityCmp

# Documentation

data Fixity Source #

Constructors

Fixity |

Fields

- fAssoc :: !Assoc
- fLevel :: !Int

#### Instances

Instances details

Eq Fixity Source # |
Instance details Defined in Cryptol.Parser.Fixity Methods (==) :: Fixity -> Fixity -> Bool Source # (/=) :: Fixity -> Fixity -> Bool Source #
Show Fixity Source # |
Instance details Defined in Cryptol.Parser.Fixity Methods showsPrec :: Int -> Fixity -> ShowS Source # show :: Fixity -> String Source # showList :: [Fixity] -> ShowS Source #
Generic Fixity Source # |
Instance details Defined in Cryptol.Parser.Fixity Associated Types type Rep Fixity :: Type -> Type Source # Methods from :: Fixity -> Rep Fixity x Source # to :: Rep Fixity x -> Fixity Source #
NFData Fixity Source # |
Instance details Defined in Cryptol.Parser.Fixity Methods rnf :: Fixity -> () Source #
PP Fixity Source # |
Instance details Defined in Cryptol.Parser.Fixity Methods ppPrec :: Int -> Fixity -> Doc Source #
type Rep Fixity Source # |
Instance details Defined in Cryptol.Parser.Fixity type Rep Fixity = D1 ('MetaData "Fixity" "Cryptol.Parser.Fixity" "cryptol-2.8.0-11Z6ZaBuQbo1UTYpHYMeUg" 'False) (C1 ('MetaCons "Fixity" 'PrefixI 'True) (S1 ('MetaSel ('Just "fAssoc") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 Assoc) :*: S1 ('MetaSel ('Just "fLevel") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 Int)))

defaultFixity :: Fixity Source #

The fixity used when none is provided.

data FixityCmp Source #

Constructors

FCError |
FCLeft |
FCRight |

#### Instances

Instances details

Eq FixityCmp Source # |
Instance details Defined in Cryptol.Parser.Fixity Methods (==) :: FixityCmp -> FixityCmp -> Bool Source # (/=) :: FixityCmp -> FixityCmp -> Bool Source #
Show FixityCmp Source # |
Instance details Defined in Cryptol.Parser.Fixity Methods showsPrec :: Int -> FixityCmp -> ShowS Source # show :: FixityCmp -> String Source # showList :: [FixityCmp] -> ShowS Source #

compareFixity :: Fixity -> Fixity -> FixityCmp Source #